Subject: bug#39458: 26.3; move-overlay affects the scroll-margin feature

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 19:46:23 +0100

"Geza, Herman" <[email-masked]> writes:

> Load a several-page large text file, and scroll down to the
> bottom. Try to position the document in a way that the window has an empty
> space at the bottom. Now, move the cursor upwards. Notice, that you can
> move the cursor at the very top of the window, the scroll-margin value
> is ignored. If you continue moving, the document will fill the whole
> window, and now emacs will take scroll-margin value into consideration.

I can reproduce this bug in Emacs 26.3, but not in Emacs 28, so I'm
going to go ahead and guess that it's been fixed, and I'm closing this
bug report.  If this is still a problem in Emacs 28, please respond to
the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no